<!DOCTYPE html><html class="default" lang="en"><head><meta charSet="utf-8"/><meta http-equiv="x-ua-compatible" content="IE=edge"/><title>EventAsyncInitStop | @matrixai/async-init</title><meta name="description" content="Documentation for @matrixai/async-init"/><meta name="viewport" content="width=device-width, initial-scale=1"/><link rel="stylesheet" href="../assets/style.css"/><link rel="stylesheet" href="../assets/highlight.css"/><script defer src="../assets/main.js"></script><script async src="../assets/search.js" id="tsd-search-script"></script></head><body><script>document.documentElement.dataset.theme = localStorage.getItem("tsd-theme") || "os"</script><header class="tsd-page-toolbar">
<div class="tsd-toolbar-contents container">
<div class="table-cell" id="tsd-search" data-base="..">
<div class="field"><label for="tsd-search-field" class="tsd-widget tsd-toolbar-icon search no-caption"><svg width="16" height="16" viewBox="0 0 16 16" fill="none"><path d="M15.7824 13.833L12.6666 10.7177C12.5259 10.5771 12.3353 10.499 12.1353 10.499H11.6259C12.4884 9.39596 13.001 8.00859 13.001 6.49937C13.001 2.90909 10.0914 0 6.50048 0C2.90959 0 0 2.90909 0 6.49937C0 10.0896 2.90959 12.9987 6.50048 12.9987C8.00996 12.9987 9.39756 12.4863 10.5008 11.6239V12.1332C10.5008 12.3332 10.5789 12.5238 10.7195 12.6644L13.8354 15.7797C14.1292 16.0734 14.6042 16.0734 14.8948 15.7797L15.7793 14.8954C16.0731 14.6017 16.0731 14.1267 15.7824 13.833ZM6.50048 10.499C4.29094 10.499 2.50018 8.71165 2.50018 6.49937C2.50018 4.29021 4.28781 2.49976 6.50048 2.49976C8.71001 2.49976 10.5008 4.28708 10.5008 6.49937C10.5008 8.70852 8.71314 10.499 6.50048 10.499Z" fill="var(--color-text)"></path></svg></label><input type="text" id="tsd-search-field" aria-label="Search"/></div>
<div class="field">
<div id="tsd-toolbar-links"></div></div>
<ul class="results">
<li class="state loading">Preparing search index...</li>
<li class="state failure">The search index is not available</li></ul><a href="../index.html" class="title">@matrixai/async-init</a></div>
<div class="table-cell" id="tsd-widgets"><a href="#" class="tsd-widget tsd-toolbar-icon menu no-caption" data-toggle="menu" aria-label="Menu"><svg width="16" height="16" viewBox="0 0 16 16" fill="none"><rect x="1" y="3" width="14" height="2" fill="var(--color-text)"></rect><rect x="1" y="7" width="14" height="2" fill="var(--color-text)"></rect><rect x="1" y="11" width="14" height="2" fill="var(--color-text)"></rect></svg></a></div></div></header>
<div class="container container-main">
<div class="col-content">
<div class="tsd-page-title">
<ul class="tsd-breadcrumb">
<li><a href="../modules.html">@matrixai/async-init</a></li>
<li><a href="../modules/events.html">events</a></li>
<li><a href="events.EventAsyncInitStop.html">EventAsyncInitStop</a></li></ul>
<h1>Class EventAsyncInitStop</h1></div>
<section class="tsd-panel tsd-hierarchy">
<h4>Hierarchy</h4>
<ul class="tsd-hierarchy">
<li><a href="events.EventAsyncInit.html" class="tsd-signature-type tsd-kind-class">EventAsyncInit</a>
<ul class="tsd-hierarchy">
<li><span class="target">EventAsyncInitStop</span></li></ul></li></ul></section><aside class="tsd-sources">
<ul>
<li>Defined in <a href="https://github.com/MatrixAI/js-async-init/blob/master/src/events.ts#L9">src/events.ts:9</a></li></ul></aside>
<section class="tsd-panel-group tsd-index-group">
<section class="tsd-panel tsd-index-panel">
<details class="tsd-index-content tsd-index-accordion" open><summary class="tsd-accordion-summary tsd-index-summary">
<h5 class="tsd-index-heading uppercase" role="button" aria-expanded="false" tabIndex=0><svg width="16" height="16" viewBox="0 0 16 16" fill="none"><path d="M1.5 5.50969L8 11.6609L14.5 5.50969L12.5466 3.66086L8 7.96494L3.45341 3.66086L1.5 5.50969Z" fill="var(--color-text)"></path></svg> Index</h5></summary>
<div class="tsd-accordion-details">
<section class="tsd-index-section">
<h3 class="tsd-index-heading">Constructors</h3>
<div class="tsd-index-list"><a href="events.EventAsyncInitStop.html#constructor" class="tsd-index-link tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><g id="icon-512"><rect fill="var(--color-icon-background)" stroke="#4D7FFF" stroke-width="1.5" x="1" y="1" width="22" height="22" rx="12"></rect><path d="M11.898 16.1201C11.098 16.1201 10.466 15.8961 10.002 15.4481C9.53803 15.0001 9.30603 14.3841 9.30603 13.6001V9.64012C9.30603 8.85612 9.53803 8.24012 10.002 7.79212C10.466 7.34412 11.098 7.12012 11.898 7.12012C12.682 7.12012 13.306 7.34812 13.77 7.80412C14.234 8.25212 14.466 8.86412 14.466 9.64012H13.386C13.386 9.14412 13.254 8.76412 12.99 8.50012C12.734 8.22812 12.37 8.09212 11.898 8.09212C11.426 8.09212 11.054 8.22412 10.782 8.48812C10.518 8.75212 10.386 9.13212 10.386 9.62812V13.6001C10.386 14.0961 10.518 14.4801 10.782 14.7521C11.054 15.0161 11.426 15.1481 11.898 15.1481C12.37 15.1481 12.734 15.0161 12.99 14.7521C13.254 14.4801 13.386 14.0961 13.386 13.6001H14.466C14.466 14.3761 14.234 14.9921 13.77 15.4481C13.306 15.8961 12.682 16.1201 11.898 16.1201Z" fill="var(--color-text)"></path></g></svg><span>constructor</span></a>
</div></section>
<section class="tsd-index-section">
<h3 class="tsd-index-heading">Properties</h3>
<div class="tsd-index-list"><a href="events.EventAsyncInitStop.html#AT_TARGET" class="tsd-index-link tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><g id="icon-1024"><rect fill="var(--color-icon-background)" stroke="#FF984D" stroke-width="1.5" x="1" y="1" width="22" height="22" rx="12"></rect><path d="M9.354 16V7.24H12.174C12.99 7.24 13.638 7.476 14.118 7.948C14.606 8.412 14.85 9.036 14.85 9.82C14.85 10.604 14.606 11.232 14.118 11.704C13.638 12.168 12.99 12.4 12.174 12.4H10.434V16H9.354ZM10.434 11.428H12.174C12.646 11.428 13.022 11.284 13.302 10.996C13.59 10.7 13.734 10.308 13.734 9.82C13.734 9.324 13.59 8.932 13.302 8.644C13.022 8.356 12.646 8.212 12.174 8.212H10.434V11.428Z" fill="var(--color-text)"></path></g></svg><span>AT_<wbr/>TARGET</span></a>
<a href="events.EventAsyncInitStop.html#BUBBLING_PHASE" class="tsd-index-link tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-1024"></use></svg><span>BUBBLING_<wbr/>PHASE</span></a>
<a href="events.EventAsyncInitStop.html#CAPTURING_PHASE" class="tsd-index-link tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-1024"></use></svg><span>CAPTURING_<wbr/>PHASE</span></a>
<a href="events.EventAsyncInitStop.html#NONE" class="tsd-index-link tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-1024"></use></svg><span>NONE</span></a>
<a href="events.EventAsyncInitStop.html#bubbles" class="tsd-index-link tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-1024"></use></svg><span>bubbles</span></a>
<a href="events.EventAsyncInitStop.html#cancelBubble" class="tsd-index-link deprecated tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-1024"></use></svg><span>cancel<wbr/>Bubble</span></a>
<a href="events.EventAsyncInitStop.html#cancelable" class="tsd-index-link tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-1024"></use></svg><span>cancelable</span></a>
<a href="events.EventAsyncInitStop.html#composed" class="tsd-index-link tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-1024"></use></svg><span>composed</span></a>
<a href="events.EventAsyncInitStop.html#constructorParams" class="tsd-index-link tsd-is-protected tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-1024"></use></svg><span>constructor<wbr/>Params</span></a>
<a href="events.EventAsyncInitStop.html#currentTarget" class="tsd-index-link tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-1024"></use></svg><span>current<wbr/>Target</span></a>
<a href="events.EventAsyncInitStop.html#defaultPrevented" class="tsd-index-link tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-1024"></use></svg><span>default<wbr/>Prevented</span></a>
<a href="events.EventAsyncInitStop.html#detail" class="tsd-index-link tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-1024"></use></svg><span>detail</span></a>
<a href="events.EventAsyncInitStop.html#eventPhase" class="tsd-index-link tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-1024"></use></svg><span>event<wbr/>Phase</span></a>
<a href="events.EventAsyncInitStop.html#isTrusted" class="tsd-index-link tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-1024"></use></svg><span>is<wbr/>Trusted</span></a>
<a href="events.EventAsyncInitStop.html#returnValue" class="tsd-index-link deprecated tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-1024"></use></svg><span>return<wbr/>Value</span></a>
<a href="events.EventAsyncInitStop.html#srcElement" class="tsd-index-link deprecated tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-1024"></use></svg><span>src<wbr/>Element</span></a>
<a href="events.EventAsyncInitStop.html#target" class="tsd-index-link tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-1024"></use></svg><span>target</span></a>
<a href="events.EventAsyncInitStop.html#timeStamp" class="tsd-index-link tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-1024"></use></svg><span>time<wbr/>Stamp</span></a>
<a href="events.EventAsyncInitStop.html#type" class="tsd-index-link tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-1024"></use></svg><span>type</span></a>
<a href="events.EventAsyncInitStop.html#AT_TARGET-1" class="tsd-index-link tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-1024"></use></svg><span>AT_<wbr/>TARGET</span></a>
<a href="events.EventAsyncInitStop.html#BUBBLING_PHASE-1" class="tsd-index-link tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-1024"></use></svg><span>BUBBLING_<wbr/>PHASE</span></a>
<a href="events.EventAsyncInitStop.html#CAPTURING_PHASE-1" class="tsd-index-link tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-1024"></use></svg><span>CAPTURING_<wbr/>PHASE</span></a>
<a href="events.EventAsyncInitStop.html#NONE-1" class="tsd-index-link tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-1024"></use></svg><span>NONE</span></a>
</div></section>
<section class="tsd-index-section">
<h3 class="tsd-index-heading">Methods</h3>
<div class="tsd-index-list"><a href="events.EventAsyncInitStop.html#clone" class="tsd-index-link tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><g id="icon-2048"><rect fill="var(--color-icon-background)" stroke="#FF4DB8" stroke-width="1.5" x="1" y="1" width="22" height="22" rx="12"></rect><path d="M9.162 16V7.24H10.578L11.514 10.072C11.602 10.328 11.674 10.584 11.73 10.84C11.794 11.088 11.842 11.28 11.874 11.416C11.906 11.28 11.954 11.088 12.018 10.84C12.082 10.584 12.154 10.324 12.234 10.06L13.122 7.24H14.538V16H13.482V12.82C13.482 12.468 13.49 12.068 13.506 11.62C13.53 11.172 13.558 10.716 13.59 10.252C13.622 9.78 13.654 9.332 13.686 8.908C13.726 8.476 13.762 8.1 13.794 7.78L12.366 12.16H11.334L9.894 7.78C9.934 8.092 9.97 8.456 10.002 8.872C10.042 9.28 10.078 9.716 10.11 10.18C10.142 10.636 10.166 11.092 10.182 11.548C10.206 12.004 10.218 12.428 10.218 12.82V16H9.162Z" fill="var(--color-text)"></path></g></svg><span>clone</span></a>
<a href="events.EventAsyncInitStop.html#composedPath" class="tsd-index-link tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-2048"></use></svg><span>composed<wbr/>Path</span></a>
<a href="events.EventAsyncInitStop.html#initEvent" class="tsd-index-link tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-2048"></use></svg><span>init<wbr/>Event</span></a>
<a href="events.EventAsyncInitStop.html#preventDefault" class="tsd-index-link tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-2048"></use></svg><span>prevent<wbr/>Default</span></a>
<a href="events.EventAsyncInitStop.html#stopImmediatePropagation" class="tsd-index-link tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-2048"></use></svg><span>stop<wbr/>Immediate<wbr/>Propagation</span></a>
<a href="events.EventAsyncInitStop.html#stopPropagation" class="tsd-index-link tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-2048"></use></svg><span>stop<wbr/>Propagation</span></a>
</div></section></div></details></section></section>
<section class="tsd-panel-group tsd-member-group">
<h2>Constructors</h2>
<section class="tsd-panel tsd-member tsd-is-inherited tsd-is-external"><a id="constructor" class="tsd-anchor"></a>
<h3 class="tsd-anchor-link"><span>constructor</span><a href="#constructor" aria-label="Permalink" class="tsd-anchor-icon"><svg viewBox="0 0 24 24"><g stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round" id="icon-anchor"><path stroke="none" d="M0 0h24v24H0z" fill="none"></path><path d="M10 14a3.5 3.5 0 0 0 5 0l4 -4a3.5 3.5 0 0 0 -5 -5l-.5 .5"></path><path d="M14 10a3.5 3.5 0 0 0 -5 0l-4 4a3.5 3.5 0 0 0 5 5l.5 -.5"></path></g></svg></a></h3>
<ul class="tsd-signatures tsd-is-inherited tsd-is-external">
<li class="tsd-signature tsd-anchor-link" id="constructor.new_EventAsyncInitStop"><span class="tsd-kind-constructor-signature">new <wbr/>Event<wbr/>Async<wbr/>Init<wbr/>Stop</span><span class="tsd-signature-symbol">(</span><span class="tsd-kind-parameter">type</span><span class="tsd-signature-symbol">?</span>, <span class="tsd-kind-parameter">options</span><span class="tsd-signature-symbol">?</span>, <span class="tsd-kind-parameter">constructorParams</span><span class="tsd-signature-symbol">?</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><a href="events.EventAsyncInitStop.html" class="tsd-signature-type tsd-kind-class">EventAsyncInitStop</a><a href="#constructor.new_EventAsyncInitStop" aria-label="Permalink" class="tsd-anchor-icon"><svg viewBox="0 0 24 24"><use href="#icon-anchor"></use></svg></a></li>
<li class="tsd-description">
<div class="tsd-parameters">
<h4 class="tsd-parameters-title">Parameters</h4>
<ul class="tsd-parameter-list">
<li>
<h5><code class="tsd-tag ts-flagOptional">Optional</code> <span class="tsd-kind-parameter">type</span>: <span class="tsd-signature-type">string</span></h5></li>
<li>
<h5><code class="tsd-tag ts-flagOptional">Optional</code> <span class="tsd-kind-parameter">options</span>: <span class="tsd-signature-type ">CustomEventInit</span><span class="tsd-signature-symbol">&lt;</span><span class="tsd-signature-type">undefined</span><span class="tsd-signature-symbol">&gt;</span></h5></li>
<li>
<h5><code class="tsd-tag ts-flagOptional">Optional</code> <span class="tsd-kind-parameter">constructorParams</span>: <span class="tsd-signature-type ">IArguments</span></h5></li></ul></div>
<h4 class="tsd-returns-title">Returns <a href="events.EventAsyncInitStop.html" class="tsd-signature-type tsd-kind-class">EventAsyncInitStop</a></h4><aside class="tsd-sources">
<p>Inherited from <a href="events.EventAsyncInit.html">EventAsyncInit</a>.<a href="events.EventAsyncInit.html#constructor">constructor</a></p>
<ul>
<li>Defined in node_modules/@matrixai/events/dist/AbstractEvent.d.ts:8</li></ul></aside></li>
<li class="tsd-signature tsd-anchor-link" id="constructor.new_EventAsyncInitStop-1"><span class="tsd-kind-constructor-signature">new <wbr/>Event<wbr/>Async<wbr/>Init<wbr/>Stop</span><span class="tsd-signature-symbol">(</span><span class="tsd-kind-parameter">options</span>, <span class="tsd-kind-parameter">constructorParams</span><span class="tsd-signature-symbol">?</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><a href="events.EventAsyncInitStop.html" class="tsd-signature-type tsd-kind-class">EventAsyncInitStop</a><a href="#constructor.new_EventAsyncInitStop-1" aria-label="Permalink" class="tsd-anchor-icon"><svg viewBox="0 0 24 24"><use href="#icon-anchor"></use></svg></a></li>
<li class="tsd-description">
<div class="tsd-parameters">
<h4 class="tsd-parameters-title">Parameters</h4>
<ul class="tsd-parameter-list">
<li>
<h5><span class="tsd-kind-parameter">options</span>: <span class="tsd-signature-type ">CustomEventInit</span><span class="tsd-signature-symbol">&lt;</span><span class="tsd-signature-type">undefined</span><span class="tsd-signature-symbol">&gt;</span></h5></li>
<li>
<h5><code class="tsd-tag ts-flagOptional">Optional</code> <span class="tsd-kind-parameter">constructorParams</span>: <span class="tsd-signature-type ">IArguments</span></h5></li></ul></div>
<h4 class="tsd-returns-title">Returns <a href="events.EventAsyncInitStop.html" class="tsd-signature-type tsd-kind-class">EventAsyncInitStop</a></h4><aside class="tsd-sources">
<p>Inherited from <a href="events.EventAsyncInit.html">EventAsyncInit</a>.<a href="events.EventAsyncInit.html#constructor">constructor</a></p>
<ul>
<li>Defined in node_modules/@matrixai/events/dist/AbstractEvent.d.ts:9</li></ul></aside></li></ul></section></section>
<section class="tsd-panel-group tsd-member-group">
<h2>Properties</h2>
<section class="tsd-panel tsd-member tsd-is-inherited tsd-is-external"><a id="AT_TARGET" class="tsd-anchor"></a>
<h3 class="tsd-anchor-link"><code class="tsd-tag ts-flagReadonly">Readonly</code> <span>AT_<wbr/>TARGET</span><a href="#AT_TARGET" aria-label="Permalink" class="tsd-anchor-icon"><svg viewBox="0 0 24 24"><use href="#icon-anchor"></use></svg></a></h3>
<div class="tsd-signature"><span class="tsd-kind-property">AT_<wbr/>TARGET</span><span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">2</span></div><aside class="tsd-sources">
<p>Inherited from <a href="events.EventAsyncInit.html">EventAsyncInit</a>.<a href="events.EventAsyncInit.html#AT_TARGET">AT_TARGET</a></p>
<ul>
<li>Defined in node_modules/typescript/lib/lib.dom.d.ts:8057</li></ul></aside></section>
<section class="tsd-panel tsd-member tsd-is-inherited tsd-is-external"><a id="BUBBLING_PHASE" class="tsd-anchor"></a>
<h3 class="tsd-anchor-link"><code class="tsd-tag ts-flagReadonly">Readonly</code> <span>BUBBLING_<wbr/>PHASE</span><a href="#BUBBLING_PHASE" aria-label="Permalink" class="tsd-anchor-icon"><svg viewBox="0 0 24 24"><use href="#icon-anchor"></use></svg></a></h3>
<div class="tsd-signature"><span class="tsd-kind-property">BUBBLING_<wbr/>PHASE</span><span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">3</span></div><aside class="tsd-sources">
<p>Inherited from <a href="events.EventAsyncInit.html">EventAsyncInit</a>.<a href="events.EventAsyncInit.html#BUBBLING_PHASE">BUBBLING_PHASE</a></p>
<ul>
<li>Defined in node_modules/typescript/lib/lib.dom.d.ts:8058</li></ul></aside></section>
<section class="tsd-panel tsd-member tsd-is-inherited tsd-is-external"><a id="CAPTURING_PHASE" class="tsd-anchor"></a>
<h3 class="tsd-anchor-link"><code class="tsd-tag ts-flagReadonly">Readonly</code> <span>CAPTURING_<wbr/>PHASE</span><a href="#CAPTURING_PHASE" aria-label="Permalink" class="tsd-anchor-icon"><svg viewBox="0 0 24 24"><use href="#icon-anchor"></use></svg></a></h3>
<div class="tsd-signature"><span class="tsd-kind-property">CAPTURING_<wbr/>PHASE</span><span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">1</span></div><aside class="tsd-sources">
<p>Inherited from <a href="events.EventAsyncInit.html">EventAsyncInit</a>.<a href="events.EventAsyncInit.html#CAPTURING_PHASE">CAPTURING_PHASE</a></p>
<ul>
<li>Defined in node_modules/typescript/lib/lib.dom.d.ts:8056</li></ul></aside></section>
<section class="tsd-panel tsd-member tsd-is-inherited tsd-is-external"><a id="NONE" class="tsd-anchor"></a>
<h3 class="tsd-anchor-link"><code class="tsd-tag ts-flagReadonly">Readonly</code> <span>NONE</span><a href="#NONE" aria-label="Permalink" class="tsd-anchor-icon"><svg viewBox="0 0 24 24"><use href="#icon-anchor"></use></svg></a></h3>
<div class="tsd-signature"><span class="tsd-kind-property">NONE</span><span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">0</span></div><aside class="tsd-sources">
<p>Inherited from <a href="events.EventAsyncInit.html">EventAsyncInit</a>.<a href="events.EventAsyncInit.html#NONE">NONE</a></p>
<ul>
<li>Defined in node_modules/typescript/lib/lib.dom.d.ts:8055</li></ul></aside></section>
<section class="tsd-panel tsd-member tsd-is-inherited tsd-is-external"><a id="bubbles" class="tsd-anchor"></a>
<h3 class="tsd-anchor-link"><code class="tsd-tag ts-flagReadonly">Readonly</code> <span>bubbles</span><a href="#bubbles" aria-label="Permalink" class="tsd-anchor-icon"><svg viewBox="0 0 24 24"><use href="#icon-anchor"></use></svg></a></h3>
<div class="tsd-signature"><span class="tsd-kind-property">bubbles</span><span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">boolean</span></div>
<div class="tsd-comment tsd-typography"><p>Returns true or false depending on how event was initialized. True if event goes through its target&#39;s ancestors in reverse tree order, and false otherwise.</p>
<p><a href="https://developer.mozilla.org/docs/Web/API/Event/bubbles">MDN Reference</a></p>
</div>
<div class="tsd-comment tsd-typography"></div><aside class="tsd-sources">
<p>Inherited from <a href="events.EventAsyncInit.html">EventAsyncInit</a>.<a href="events.EventAsyncInit.html#bubbles">bubbles</a></p>
<ul>
<li>Defined in node_modules/typescript/lib/lib.dom.d.ts:7952</li></ul></aside></section>
<section class="tsd-panel tsd-member tsd-is-inherited tsd-is-external"><a id="cancelBubble" class="tsd-anchor"></a>
<h3 class="tsd-anchor-link"><span class="deprecated">cancel<wbr/>Bubble</span><a href="#cancelBubble" aria-label="Permalink" class="tsd-anchor-icon"><svg viewBox="0 0 24 24"><use href="#icon-anchor"></use></svg></a></h3>
<div class="tsd-signature"><span class="tsd-kind-property">cancel<wbr/>Bubble</span><span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">boolean</span></div>
<div class="tsd-comment tsd-typography">
<h4>Deprecated</h4><p><a href="https://developer.mozilla.org/docs/Web/API/Event/cancelBubble">MDN Reference</a></p>
</div><aside class="tsd-sources">
<p>Inherited from <a href="events.EventAsyncInit.html">EventAsyncInit</a>.<a href="events.EventAsyncInit.html#cancelBubble">cancelBubble</a></p>
<ul>
<li>Defined in node_modules/typescript/lib/lib.dom.d.ts:7958</li></ul></aside></section>
<section class="tsd-panel tsd-member tsd-is-inherited tsd-is-external"><a id="cancelable" class="tsd-anchor"></a>
<h3 class="tsd-anchor-link"><code class="tsd-tag ts-flagReadonly">Readonly</code> <span>cancelable</span><a href="#cancelable" aria-label="Permalink" class="tsd-anchor-icon"><svg viewBox="0 0 24 24"><use href="#icon-anchor"></use></svg></a></h3>
<div class="tsd-signature"><span class="tsd-kind-property">cancelable</span><span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">boolean</span></div>
<div class="tsd-comment tsd-typography"><p>Returns true or false depending on how event was initialized. Its return value does not always carry meaning, but true can indicate that part of the operation during which event was dispatched, can be canceled by invoking the preventDefault() method.</p>
<p><a href="https://developer.mozilla.org/docs/Web/API/Event/cancelable">MDN Reference</a></p>
</div>
<div class="tsd-comment tsd-typography"></div><aside class="tsd-sources">
<p>Inherited from <a href="events.EventAsyncInit.html">EventAsyncInit</a>.<a href="events.EventAsyncInit.html#cancelable">cancelable</a></p>
<ul>
<li>Defined in node_modules/typescript/lib/lib.dom.d.ts:7964</li></ul></aside></section>
<section class="tsd-panel tsd-member tsd-is-inherited tsd-is-external"><a id="composed" class="tsd-anchor"></a>
<h3 class="tsd-anchor-link"><code class="tsd-tag ts-flagReadonly">Readonly</code> <span>composed</span><a href="#composed" aria-label="Permalink" class="tsd-anchor-icon"><svg viewBox="0 0 24 24"><use href="#icon-anchor"></use></svg></a></h3>
<div class="tsd-signature"><span class="tsd-kind-property">composed</span><span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">boolean</span></div>
<div class="tsd-comment tsd-typography"><p>Returns true or false depending on how event was initialized. True if event invokes listeners past a ShadowRoot node that is the root of its target, and false otherwise.</p>
<p><a href="https://developer.mozilla.org/docs/Web/API/Event/composed">MDN Reference</a></p>
</div>
<div class="tsd-comment tsd-typography"></div><aside class="tsd-sources">
<p>Inherited from <a href="events.EventAsyncInit.html">EventAsyncInit</a>.<a href="events.EventAsyncInit.html#composed">composed</a></p>
<ul>
<li>Defined in node_modules/typescript/lib/lib.dom.d.ts:7970</li></ul></aside></section>
<section class="tsd-panel tsd-member tsd-is-protected tsd-is-inherited tsd-is-external"><a id="constructorParams" class="tsd-anchor"></a>
<h3 class="tsd-anchor-link"><code class="tsd-tag ts-flagProtected">Protected</code> <span>constructor<wbr/>Params</span><a href="#constructorParams" aria-label="Permalink" class="tsd-anchor-icon"><svg viewBox="0 0 24 24"><use href="#icon-anchor"></use></svg></a></h3>
<div class="tsd-signature"><span class="tsd-kind-property">constructor<wbr/>Params</span><span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type ">IArguments</span></div><aside class="tsd-sources">
<p>Inherited from <a href="events.EventAsyncInit.html">EventAsyncInit</a>.<a href="events.EventAsyncInit.html#constructorParams">constructorParams</a></p>
<ul>
<li>Defined in node_modules/@matrixai/events/dist/AbstractEvent.d.ts:7</li></ul></aside></section>
<section class="tsd-panel tsd-member tsd-is-inherited tsd-is-external"><a id="currentTarget" class="tsd-anchor"></a>
<h3 class="tsd-anchor-link"><code class="tsd-tag ts-flagReadonly">Readonly</code> <span>current<wbr/>Target</span><a href="#currentTarget" aria-label="Permalink" class="tsd-anchor-icon"><svg viewBox="0 0 24 24"><use href="#icon-anchor"></use></svg></a></h3>
<div class="tsd-signature"><span class="tsd-kind-property">current<wbr/>Target</span><span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">null</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type ">EventTarget</span></div>
<div class="tsd-comment tsd-typography"><p>Returns the object whose event listener&#39;s callback is currently being invoked.</p>
<p><a href="https://developer.mozilla.org/docs/Web/API/Event/currentTarget">MDN Reference</a></p>
</div>
<div class="tsd-comment tsd-typography"></div><aside class="tsd-sources">
<p>Inherited from <a href="events.EventAsyncInit.html">EventAsyncInit</a>.<a href="events.EventAsyncInit.html#currentTarget">currentTarget</a></p>
<ul>
<li>Defined in node_modules/typescript/lib/lib.dom.d.ts:7976</li></ul></aside></section>
<section class="tsd-panel tsd-member tsd-is-inherited tsd-is-external"><a id="defaultPrevented" class="tsd-anchor"></a>
<h3 class="tsd-anchor-link"><code class="tsd-tag ts-flagReadonly">Readonly</code> <span>default<wbr/>Prevented</span><a href="#defaultPrevented" aria-label="Permalink" class="tsd-anchor-icon"><svg viewBox="0 0 24 24"><use href="#icon-anchor"></use></svg></a></h3>
<div class="tsd-signature"><span class="tsd-kind-property">default<wbr/>Prevented</span><span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">boolean</span></div>
<div class="tsd-comment tsd-typography"><p>Returns true if preventDefault() was invoked successfully to indicate cancelation, and false otherwise.</p>
<p><a href="https://developer.mozilla.org/docs/Web/API/Event/defaultPrevented">MDN Reference</a></p>
</div>
<div class="tsd-comment tsd-typography"></div><aside class="tsd-sources">
<p>Inherited from <a href="events.EventAsyncInit.html">EventAsyncInit</a>.<a href="events.EventAsyncInit.html#defaultPrevented">defaultPrevented</a></p>
<ul>
<li>Defined in node_modules/typescript/lib/lib.dom.d.ts:7982</li></ul></aside></section>
<section class="tsd-panel tsd-member tsd-is-inherited tsd-is-external"><a id="detail" class="tsd-anchor"></a>
<h3 class="tsd-anchor-link"><code class="tsd-tag ts-flagReadonly">Readonly</code> <span>detail</span><a href="#detail" aria-label="Permalink" class="tsd-anchor-icon"><svg viewBox="0 0 24 24"><use href="#icon-anchor"></use></svg></a></h3>
<div class="tsd-signature"><span class="tsd-kind-property">detail</span><span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">undefined</span></div><aside class="tsd-sources">
<p>Inherited from <a href="events.EventAsyncInit.html">EventAsyncInit</a>.<a href="events.EventAsyncInit.html#detail">detail</a></p>
<ul>
<li>Defined in node_modules/@matrixai/events/dist/AbstractEvent.d.ts:6</li></ul></aside></section>
<section class="tsd-panel tsd-member tsd-is-inherited tsd-is-external"><a id="eventPhase" class="tsd-anchor"></a>
<h3 class="tsd-anchor-link"><code class="tsd-tag ts-flagReadonly">Readonly</code> <span>event<wbr/>Phase</span><a href="#eventPhase" aria-label="Permalink" class="tsd-anchor-icon"><svg viewBox="0 0 24 24"><use href="#icon-anchor"></use></svg></a></h3>
<div class="tsd-signature"><span class="tsd-kind-property">event<wbr/>Phase</span><span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span></div>
<div class="tsd-comment tsd-typography"><p>Returns the event&#39;s phase, which is one of NONE, CAPTURING_PHASE, AT_TARGET, and BUBBLING_PHASE.</p>
<p><a href="https://developer.mozilla.org/docs/Web/API/Event/eventPhase">MDN Reference</a></p>
</div>
<div class="tsd-comment tsd-typography"></div><aside class="tsd-sources">
<p>Inherited from <a href="events.EventAsyncInit.html">EventAsyncInit</a>.<a href="events.EventAsyncInit.html#eventPhase">eventPhase</a></p>
<ul>
<li>Defined in node_modules/typescript/lib/lib.dom.d.ts:7988</li></ul></aside></section>
<section class="tsd-panel tsd-member tsd-is-inherited tsd-is-external"><a id="isTrusted" class="tsd-anchor"></a>
<h3 class="tsd-anchor-link"><code class="tsd-tag ts-flagReadonly">Readonly</code> <span>is<wbr/>Trusted</span><a href="#isTrusted" aria-label="Permalink" class="tsd-anchor-icon"><svg viewBox="0 0 24 24"><use href="#icon-anchor"></use></svg></a></h3>
<div class="tsd-signature"><span class="tsd-kind-property">is<wbr/>Trusted</span><span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">boolean</span></div>
<div class="tsd-comment tsd-typography"><p>Returns true if event was dispatched by the user agent, and false otherwise.</p>
<p><a href="https://developer.mozilla.org/docs/Web/API/Event/isTrusted">MDN Reference</a></p>
</div>
<div class="tsd-comment tsd-typography"></div><aside class="tsd-sources">
<p>Inherited from <a href="events.EventAsyncInit.html">EventAsyncInit</a>.<a href="events.EventAsyncInit.html#isTrusted">isTrusted</a></p>
<ul>
<li>Defined in node_modules/typescript/lib/lib.dom.d.ts:7994</li></ul></aside></section>
<section class="tsd-panel tsd-member tsd-is-inherited tsd-is-external"><a id="returnValue" class="tsd-anchor"></a>
<h3 class="tsd-anchor-link"><span class="deprecated">return<wbr/>Value</span><a href="#returnValue" aria-label="Permalink" class="tsd-anchor-icon"><svg viewBox="0 0 24 24"><use href="#icon-anchor"></use></svg></a></h3>
<div class="tsd-signature"><span class="tsd-kind-property">return<wbr/>Value</span><span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">boolean</span></div>
<div class="tsd-comment tsd-typography">
<h4>Deprecated</h4><p><a href="https://developer.mozilla.org/docs/Web/API/Event/returnValue">MDN Reference</a></p>
</div><aside class="tsd-sources">
<p>Inherited from <a href="events.EventAsyncInit.html">EventAsyncInit</a>.<a href="events.EventAsyncInit.html#returnValue">returnValue</a></p>
<ul>
<li>Defined in node_modules/typescript/lib/lib.dom.d.ts:8000</li></ul></aside></section>
<section class="tsd-panel tsd-member tsd-is-inherited tsd-is-external"><a id="srcElement" class="tsd-anchor"></a>
<h3 class="tsd-anchor-link"><code class="tsd-tag ts-flagReadonly">Readonly</code> <span class="deprecated">src<wbr/>Element</span><a href="#srcElement" aria-label="Permalink" class="tsd-anchor-icon"><svg viewBox="0 0 24 24"><use href="#icon-anchor"></use></svg></a></h3>
<div class="tsd-signature"><span class="tsd-kind-property">src<wbr/>Element</span><span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">null</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type ">EventTarget</span></div>
<div class="tsd-comment tsd-typography">
<h4>Deprecated</h4><p><a href="https://developer.mozilla.org/docs/Web/API/Event/srcElement">MDN Reference</a></p>
</div><aside class="tsd-sources">
<p>Inherited from <a href="events.EventAsyncInit.html">EventAsyncInit</a>.<a href="events.EventAsyncInit.html#srcElement">srcElement</a></p>
<ul>
<li>Defined in node_modules/typescript/lib/lib.dom.d.ts:8006</li></ul></aside></section>
<section class="tsd-panel tsd-member tsd-is-inherited tsd-is-external"><a id="target" class="tsd-anchor"></a>
<h3 class="tsd-anchor-link"><code class="tsd-tag ts-flagReadonly">Readonly</code> <span>target</span><a href="#target" aria-label="Permalink" class="tsd-anchor-icon"><svg viewBox="0 0 24 24"><use href="#icon-anchor"></use></svg></a></h3>
<div class="tsd-signature"><span class="tsd-kind-property">target</span><span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">null</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type ">EventTarget</span></div>
<div class="tsd-comment tsd-typography"><p>Returns the object to which event is dispatched (its target).</p>
<p><a href="https://developer.mozilla.org/docs/Web/API/Event/target">MDN Reference</a></p>
</div>
<div class="tsd-comment tsd-typography"></div><aside class="tsd-sources">
<p>Inherited from <a href="events.EventAsyncInit.html">EventAsyncInit</a>.<a href="events.EventAsyncInit.html#target">target</a></p>
<ul>
<li>Defined in node_modules/typescript/lib/lib.dom.d.ts:8012</li></ul></aside></section>
<section class="tsd-panel tsd-member tsd-is-inherited tsd-is-external"><a id="timeStamp" class="tsd-anchor"></a>
<h3 class="tsd-anchor-link"><code class="tsd-tag ts-flagReadonly">Readonly</code> <span>time<wbr/>Stamp</span><a href="#timeStamp" aria-label="Permalink" class="tsd-anchor-icon"><svg viewBox="0 0 24 24"><use href="#icon-anchor"></use></svg></a></h3>
<div class="tsd-signature"><span class="tsd-kind-property">time<wbr/>Stamp</span><span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span></div>
<div class="tsd-comment tsd-typography"><p>Returns the event&#39;s timestamp as the number of milliseconds measured relative to the time origin.</p>
<p><a href="https://developer.mozilla.org/docs/Web/API/Event/timeStamp">MDN Reference</a></p>
</div>
<div class="tsd-comment tsd-typography"></div><aside class="tsd-sources">
<p>Inherited from <a href="events.EventAsyncInit.html">EventAsyncInit</a>.<a href="events.EventAsyncInit.html#timeStamp">timeStamp</a></p>
<ul>
<li>Defined in node_modules/typescript/lib/lib.dom.d.ts:8018</li></ul></aside></section>
<section class="tsd-panel tsd-member tsd-is-inherited tsd-is-external"><a id="type" class="tsd-anchor"></a>
<h3 class="tsd-anchor-link"><code class="tsd-tag ts-flagReadonly">Readonly</code> <span>type</span><a href="#type" aria-label="Permalink" class="tsd-anchor-icon"><svg viewBox="0 0 24 24"><use href="#icon-anchor"></use></svg></a></h3>
<div class="tsd-signature"><span class="tsd-kind-property">type</span><span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">string</span></div>
<div class="tsd-comment tsd-typography"><p>Returns the type of event, e.g. &quot;click&quot;, &quot;hashchange&quot;, or &quot;submit&quot;.</p>
<p><a href="https://developer.mozilla.org/docs/Web/API/Event/type">MDN Reference</a></p>
</div>
<div class="tsd-comment tsd-typography"></div><aside class="tsd-sources">
<p>Inherited from <a href="events.EventAsyncInit.html">EventAsyncInit</a>.<a href="events.EventAsyncInit.html#type">type</a></p>
<ul>
<li>Defined in node_modules/typescript/lib/lib.dom.d.ts:8024</li></ul></aside></section>
<section class="tsd-panel tsd-member tsd-is-inherited tsd-is-external"><a id="AT_TARGET-1" class="tsd-anchor"></a>
<h3 class="tsd-anchor-link"><code class="tsd-tag ts-flagStatic">Static</code> <code class="tsd-tag ts-flagReadonly">Readonly</code> <span>AT_<wbr/>TARGET</span><a href="#AT_TARGET-1" aria-label="Permalink" class="tsd-anchor-icon"><svg viewBox="0 0 24 24"><use href="#icon-anchor"></use></svg></a></h3>
<div class="tsd-signature"><span class="tsd-kind-property">AT_<wbr/>TARGET</span><span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">2</span></div><aside class="tsd-sources">
<p>Inherited from <a href="events.EventAsyncInit.html">EventAsyncInit</a>.<a href="events.EventAsyncInit.html#AT_TARGET-1">AT_TARGET</a></p>
<ul>
<li>Defined in node_modules/typescript/lib/lib.dom.d.ts:8066</li></ul></aside></section>
<section class="tsd-panel tsd-member tsd-is-inherited tsd-is-external"><a id="BUBBLING_PHASE-1" class="tsd-anchor"></a>
<h3 class="tsd-anchor-link"><code class="tsd-tag ts-flagStatic">Static</code> <code class="tsd-tag ts-flagReadonly">Readonly</code> <span>BUBBLING_<wbr/>PHASE</span><a href="#BUBBLING_PHASE-1" aria-label="Permalink" class="tsd-anchor-icon"><svg viewBox="0 0 24 24"><use href="#icon-anchor"></use></svg></a></h3>
<div class="tsd-signature"><span class="tsd-kind-property">BUBBLING_<wbr/>PHASE</span><span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">3</span></div><aside class="tsd-sources">
<p>Inherited from <a href="events.EventAsyncInit.html">EventAsyncInit</a>.<a href="events.EventAsyncInit.html#BUBBLING_PHASE-1">BUBBLING_PHASE</a></p>
<ul>
<li>Defined in node_modules/typescript/lib/lib.dom.d.ts:8067</li></ul></aside></section>
<section class="tsd-panel tsd-member tsd-is-inherited tsd-is-external"><a id="CAPTURING_PHASE-1" class="tsd-anchor"></a>
<h3 class="tsd-anchor-link"><code class="tsd-tag ts-flagStatic">Static</code> <code class="tsd-tag ts-flagReadonly">Readonly</code> <span>CAPTURING_<wbr/>PHASE</span><a href="#CAPTURING_PHASE-1" aria-label="Permalink" class="tsd-anchor-icon"><svg viewBox="0 0 24 24"><use href="#icon-anchor"></use></svg></a></h3>
<div class="tsd-signature"><span class="tsd-kind-property">CAPTURING_<wbr/>PHASE</span><span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">1</span></div><aside class="tsd-sources">
<p>Inherited from <a href="events.EventAsyncInit.html">EventAsyncInit</a>.<a href="events.EventAsyncInit.html#CAPTURING_PHASE-1">CAPTURING_PHASE</a></p>
<ul>
<li>Defined in node_modules/typescript/lib/lib.dom.d.ts:8065</li></ul></aside></section>
<section class="tsd-panel tsd-member tsd-is-inherited tsd-is-external"><a id="NONE-1" class="tsd-anchor"></a>
<h3 class="tsd-anchor-link"><code class="tsd-tag ts-flagStatic">Static</code> <code class="tsd-tag ts-flagReadonly">Readonly</code> <span>NONE</span><a href="#NONE-1" aria-label="Permalink" class="tsd-anchor-icon"><svg viewBox="0 0 24 24"><use href="#icon-anchor"></use></svg></a></h3>
<div class="tsd-signature"><span class="tsd-kind-property">NONE</span><span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">0</span></div><aside class="tsd-sources">
<p>Inherited from <a href="events.EventAsyncInit.html">EventAsyncInit</a>.<a href="events.EventAsyncInit.html#NONE-1">NONE</a></p>
<ul>
<li>Defined in node_modules/typescript/lib/lib.dom.d.ts:8064</li></ul></aside></section></section>
<section class="tsd-panel-group tsd-member-group">
<h2>Methods</h2>
<section class="tsd-panel tsd-member tsd-is-inherited tsd-is-external"><a id="clone" class="tsd-anchor"></a>
<h3 class="tsd-anchor-link"><span>clone</span><a href="#clone" aria-label="Permalink" class="tsd-anchor-icon"><svg viewBox="0 0 24 24"><use href="#icon-anchor"></use></svg></a></h3>
<ul class="tsd-signatures tsd-is-inherited tsd-is-external">
<li class="tsd-signature tsd-anchor-link" id="clone.clone-1"><span class="tsd-kind-call-signature">clone</span><span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><a href="events.EventAsyncInitStop.html" class="tsd-signature-type tsd-kind-class">EventAsyncInitStop</a><a href="#clone.clone-1" aria-label="Permalink" class="tsd-anchor-icon"><svg viewBox="0 0 24 24"><use href="#icon-anchor"></use></svg></a></li>
<li class="tsd-description">
<div class="tsd-comment tsd-typography"><p>Events cannot be re-dispatched. This was probably to prevent infinite
loops. So instead of re-dispatching the same instance, we re-dispatch
a clone of the instance.</p>
</div>
<h4 class="tsd-returns-title">Returns <a href="events.EventAsyncInitStop.html" class="tsd-signature-type tsd-kind-class">EventAsyncInitStop</a></h4>
<div class="tsd-comment tsd-typography"></div><aside class="tsd-sources">
<p>Inherited from <a href="events.EventAsyncInit.html">EventAsyncInit</a>.<a href="events.EventAsyncInit.html#clone">clone</a></p>
<ul>
<li>Defined in node_modules/@matrixai/events/dist/AbstractEvent.d.ts:15</li></ul></aside></li></ul></section>
<section class="tsd-panel tsd-member tsd-is-inherited tsd-is-external"><a id="composedPath" class="tsd-anchor"></a>
<h3 class="tsd-anchor-link"><span>composed<wbr/>Path</span><a href="#composedPath" aria-label="Permalink" class="tsd-anchor-icon"><svg viewBox="0 0 24 24"><use href="#icon-anchor"></use></svg></a></h3>
<ul class="tsd-signatures tsd-is-inherited tsd-is-external">
<li class="tsd-signature tsd-anchor-link" id="composedPath.composedPath-1"><span class="tsd-kind-call-signature">composed<wbr/>Path</span><span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type ">EventTarget</span><span class="tsd-signature-symbol">[]</span><a href="#composedPath.composedPath-1" aria-label="Permalink" class="tsd-anchor-icon"><svg viewBox="0 0 24 24"><use href="#icon-anchor"></use></svg></a></li>
<li class="tsd-description">
<div class="tsd-comment tsd-typography"><p>Returns the invocation target objects of event&#39;s path (objects on which listeners will be invoked), except for any nodes in shadow trees of which the shadow root&#39;s mode is &quot;closed&quot; that are not reachable from event&#39;s currentTarget.</p>
<p><a href="https://developer.mozilla.org/docs/Web/API/Event/composedPath">MDN Reference</a></p>
</div>
<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type ">EventTarget</span><span class="tsd-signature-symbol">[]</span></h4>
<div class="tsd-comment tsd-typography"></div><aside class="tsd-sources">
<p>Inherited from <a href="events.EventAsyncInit.html">EventAsyncInit</a>.<a href="events.EventAsyncInit.html#composedPath">composedPath</a></p>
<ul>
<li>Defined in node_modules/typescript/lib/lib.dom.d.ts:8030</li></ul></aside></li></ul></section>
<section class="tsd-panel tsd-member tsd-is-inherited tsd-is-external"><a id="initEvent" class="tsd-anchor"></a>
<h3 class="tsd-anchor-link"><span>init<wbr/>Event</span><a href="#initEvent" aria-label="Permalink" class="tsd-anchor-icon"><svg viewBox="0 0 24 24"><use href="#icon-anchor"></use></svg></a></h3>
<ul class="tsd-signatures tsd-is-inherited tsd-is-external">
<li class="tsd-signature tsd-anchor-link" id="initEvent.initEvent-1"><span class="tsd-kind-call-signature">init<wbr/>Event</span><span class="tsd-signature-symbol">(</span><span class="tsd-kind-parameter">type</span>, <span class="tsd-kind-parameter">bubbles</span><span class="tsd-signature-symbol">?</span>, <span class="tsd-kind-parameter">cancelable</span><span class="tsd-signature-symbol">?</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span><a href="#initEvent.initEvent-1" aria-label="Permalink" class="tsd-anchor-icon"><svg viewBox="0 0 24 24"><use href="#icon-anchor"></use></svg></a></li>
<li class="tsd-description">
<div class="tsd-parameters">
<h4 class="tsd-parameters-title">Parameters</h4>
<ul class="tsd-parameter-list">
<li>
<h5><span class="tsd-kind-parameter">type</span>: <span class="tsd-signature-type">string</span></h5></li>
<li>
<h5><code class="tsd-tag ts-flagOptional">Optional</code> <span class="tsd-kind-parameter">bubbles</span>: <span class="tsd-signature-type">boolean</span></h5></li>
<li>
<h5><code class="tsd-tag ts-flagOptional">Optional</code> <span class="tsd-kind-parameter">cancelable</span>: <span class="tsd-signature-type">boolean</span></h5></li></ul></div>
<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
<div class="tsd-comment tsd-typography">
<h4>Deprecated</h4><p><a href="https://developer.mozilla.org/docs/Web/API/Event/initEvent">MDN Reference</a></p>
</div><aside class="tsd-sources">
<p>Inherited from <a href="events.EventAsyncInit.html">EventAsyncInit</a>.<a href="events.EventAsyncInit.html#initEvent">initEvent</a></p>
<ul>
<li>Defined in node_modules/typescript/lib/lib.dom.d.ts:8036</li></ul></aside></li></ul></section>
<section class="tsd-panel tsd-member tsd-is-inherited tsd-is-external"><a id="preventDefault" class="tsd-anchor"></a>
<h3 class="tsd-anchor-link"><span>prevent<wbr/>Default</span><a href="#preventDefault" aria-label="Permalink" class="tsd-anchor-icon"><svg viewBox="0 0 24 24"><use href="#icon-anchor"></use></svg></a></h3>
<ul class="tsd-signatures tsd-is-inherited tsd-is-external">
<li class="tsd-signature tsd-anchor-link" id="preventDefault.preventDefault-1"><span class="tsd-kind-call-signature">prevent<wbr/>Default</span><span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span><a href="#preventDefault.preventDefault-1" aria-label="Permalink" class="tsd-anchor-icon"><svg viewBox="0 0 24 24"><use href="#icon-anchor"></use></svg></a></li>
<li class="tsd-description">
<div class="tsd-comment tsd-typography"><p>If invoked when the cancelable attribute value is true, and while executing a listener for the event with passive set to false, signals to the operation that caused event to be dispatched that it needs to be canceled.</p>
<p><a href="https://developer.mozilla.org/docs/Web/API/Event/preventDefault">MDN Reference</a></p>
</div>
<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
<div class="tsd-comment tsd-typography"></div><aside class="tsd-sources">
<p>Inherited from <a href="events.EventAsyncInit.html">EventAsyncInit</a>.<a href="events.EventAsyncInit.html#preventDefault">preventDefault</a></p>
<ul>
<li>Defined in node_modules/typescript/lib/lib.dom.d.ts:8042</li></ul></aside></li></ul></section>
<section class="tsd-panel tsd-member tsd-is-inherited tsd-is-external"><a id="stopImmediatePropagation" class="tsd-anchor"></a>
<h3 class="tsd-anchor-link"><span>stop<wbr/>Immediate<wbr/>Propagation</span><a href="#stopImmediatePropagation" aria-label="Permalink" class="tsd-anchor-icon"><svg viewBox="0 0 24 24"><use href="#icon-anchor"></use></svg></a></h3>
<ul class="tsd-signatures tsd-is-inherited tsd-is-external">
<li class="tsd-signature tsd-anchor-link" id="stopImmediatePropagation.stopImmediatePropagation-1"><span class="tsd-kind-call-signature">stop<wbr/>Immediate<wbr/>Propagation</span><span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span><a href="#stopImmediatePropagation.stopImmediatePropagation-1" aria-label="Permalink" class="tsd-anchor-icon"><svg viewBox="0 0 24 24"><use href="#icon-anchor"></use></svg></a></li>
<li class="tsd-description">
<div class="tsd-comment tsd-typography"><p>Invoking this method prevents event from reaching any registered event listeners after the current one finishes running and, when dispatched in a tree, also prevents event from reaching any other objects.</p>
<p><a href="https://developer.mozilla.org/docs/Web/API/Event/stopImmediatePropagation">MDN Reference</a></p>
</div>
<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
<div class="tsd-comment tsd-typography"></div><aside class="tsd-sources">
<p>Inherited from <a href="events.EventAsyncInit.html">EventAsyncInit</a>.<a href="events.EventAsyncInit.html#stopImmediatePropagation">stopImmediatePropagation</a></p>
<ul>
<li>Defined in node_modules/typescript/lib/lib.dom.d.ts:8048</li></ul></aside></li></ul></section>
<section class="tsd-panel tsd-member tsd-is-inherited tsd-is-external"><a id="stopPropagation" class="tsd-anchor"></a>
<h3 class="tsd-anchor-link"><span>stop<wbr/>Propagation</span><a href="#stopPropagation" aria-label="Permalink" class="tsd-anchor-icon"><svg viewBox="0 0 24 24"><use href="#icon-anchor"></use></svg></a></h3>
<ul class="tsd-signatures tsd-is-inherited tsd-is-external">
<li class="tsd-signature tsd-anchor-link" id="stopPropagation.stopPropagation-1"><span class="tsd-kind-call-signature">stop<wbr/>Propagation</span><span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span><a href="#stopPropagation.stopPropagation-1" aria-label="Permalink" class="tsd-anchor-icon"><svg viewBox="0 0 24 24"><use href="#icon-anchor"></use></svg></a></li>
<li class="tsd-description">
<div class="tsd-comment tsd-typography"><p>When dispatched in a tree, invoking this method prevents event from reaching any objects other than the current object.</p>
<p><a href="https://developer.mozilla.org/docs/Web/API/Event/stopPropagation">MDN Reference</a></p>
</div>
<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
<div class="tsd-comment tsd-typography"></div><aside class="tsd-sources">
<p>Inherited from <a href="events.EventAsyncInit.html">EventAsyncInit</a>.<a href="events.EventAsyncInit.html#stopPropagation">stopPropagation</a></p>
<ul>
<li>Defined in node_modules/typescript/lib/lib.dom.d.ts:8054</li></ul></aside></li></ul></section></section></div>
<div class="col-sidebar">
<div class="page-menu">
<div class="tsd-navigation settings">
<details class="tsd-index-accordion"><summary class="tsd-accordion-summary">
<h3><svg width="20" height="20" viewBox="0 0 24 24" fill="none"><path d="M4.93896 8.531L12 15.591L19.061 8.531L16.939 6.409L12 11.349L7.06098 6.409L4.93896 8.531Z" fill="var(--color-text)" id="icon-chevronDown"></path></svg>Settings</h3></summary>
<div class="tsd-accordion-details">
<div class="tsd-filter-visibility">
<h4 class="uppercase">Member Visibility</h4><form>
<ul id="tsd-filter-options">
<li class="tsd-filter-item"><label class="tsd-filter-input"><input type="checkbox" id="tsd-filter-protected" name="protected"/><svg width="32" height="32" viewBox="0 0 32 32" aria-hidden="true"><rect class="tsd-checkbox-background" width="30" height="30" x="1" y="1" rx="6" fill="none"></rect><path class="tsd-checkbox-checkmark" d="M8.35422 16.8214L13.2143 21.75L24.6458 10.25" stroke="none" stroke-width="3.5" stroke-linejoin="round" fill="none"></path></svg><span>Protected</span></label></li>
<li class="tsd-filter-item"><label class="tsd-filter-input"><input type="checkbox" id="tsd-filter-private" name="private"/><svg width="32" height="32" viewBox="0 0 32 32" aria-hidden="true"><rect class="tsd-checkbox-background" width="30" height="30" x="1" y="1" rx="6" fill="none"></rect><path class="tsd-checkbox-checkmark" d="M8.35422 16.8214L13.2143 21.75L24.6458 10.25" stroke="none" stroke-width="3.5" stroke-linejoin="round" fill="none"></path></svg><span>Private</span></label></li>
<li class="tsd-filter-item"><label class="tsd-filter-input"><input type="checkbox" id="tsd-filter-inherited" name="inherited" checked/><svg width="32" height="32" viewBox="0 0 32 32" aria-hidden="true"><rect class="tsd-checkbox-background" width="30" height="30" x="1" y="1" rx="6" fill="none"></rect><path class="tsd-checkbox-checkmark" d="M8.35422 16.8214L13.2143 21.75L24.6458 10.25" stroke="none" stroke-width="3.5" stroke-linejoin="round" fill="none"></path></svg><span>Inherited</span></label></li>
<li class="tsd-filter-item"><label class="tsd-filter-input"><input type="checkbox" id="tsd-filter-external" name="external"/><svg width="32" height="32" viewBox="0 0 32 32" aria-hidden="true"><rect class="tsd-checkbox-background" width="30" height="30" x="1" y="1" rx="6" fill="none"></rect><path class="tsd-checkbox-checkmark" d="M8.35422 16.8214L13.2143 21.75L24.6458 10.25" stroke="none" stroke-width="3.5" stroke-linejoin="round" fill="none"></path></svg><span>External</span></label></li></ul></form></div>
<div class="tsd-theme-toggle">
<h4 class="uppercase">Theme</h4><select id="tsd-theme"><option value="os">OS</option><option value="light">Light</option><option value="dark">Dark</option></select></div></div></details></div>
<details open class="tsd-index-accordion tsd-page-navigation"><summary class="tsd-accordion-summary">
<h3><svg width="20" height="20" viewBox="0 0 24 24" fill="none"><use href="#icon-chevronDown"></use></svg>On This Page</h3></summary>
<div class="tsd-accordion-details">
<ul>
<li><a href="#constructor" class="tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-512"></use></svg><span>constructor</span></a></li>
<li><a href="#AT_TARGET" class="tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-1024"></use></svg><span>AT_<wbr/>TARGET</span></a></li>
<li><a href="#BUBBLING_PHASE" class="tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-1024"></use></svg><span>BUBBLING_<wbr/>PHASE</span></a></li>
<li><a href="#CAPTURING_PHASE" class="tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-1024"></use></svg><span>CAPTURING_<wbr/>PHASE</span></a></li>
<li><a href="#NONE" class="tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-1024"></use></svg><span>NONE</span></a></li>
<li><a href="#bubbles" class="tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-1024"></use></svg><span>bubbles</span></a></li>
<li><a href="#cancelBubble" class="tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-1024"></use></svg><span>cancel<wbr/>Bubble</span></a></li>
<li><a href="#cancelable" class="tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-1024"></use></svg><span>cancelable</span></a></li>
<li><a href="#composed" class="tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-1024"></use></svg><span>composed</span></a></li>
<li><a href="#constructorParams" class="tsd-is-protected tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-1024"></use></svg><span>constructor<wbr/>Params</span></a></li>
<li><a href="#currentTarget" class="tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-1024"></use></svg><span>current<wbr/>Target</span></a></li>
<li><a href="#defaultPrevented" class="tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-1024"></use></svg><span>default<wbr/>Prevented</span></a></li>
<li><a href="#detail" class="tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-1024"></use></svg><span>detail</span></a></li>
<li><a href="#eventPhase" class="tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-1024"></use></svg><span>event<wbr/>Phase</span></a></li>
<li><a href="#isTrusted" class="tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-1024"></use></svg><span>is<wbr/>Trusted</span></a></li>
<li><a href="#returnValue" class="tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-1024"></use></svg><span>return<wbr/>Value</span></a></li>
<li><a href="#srcElement" class="tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-1024"></use></svg><span>src<wbr/>Element</span></a></li>
<li><a href="#target" class="tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-1024"></use></svg><span>target</span></a></li>
<li><a href="#timeStamp" class="tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-1024"></use></svg><span>time<wbr/>Stamp</span></a></li>
<li><a href="#type" class="tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-1024"></use></svg><span>type</span></a></li>
<li><a href="#AT_TARGET-1" class="tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-1024"></use></svg><span>AT_<wbr/>TARGET</span></a></li>
<li><a href="#BUBBLING_PHASE-1" class="tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-1024"></use></svg><span>BUBBLING_<wbr/>PHASE</span></a></li>
<li><a href="#CAPTURING_PHASE-1" class="tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-1024"></use></svg><span>CAPTURING_<wbr/>PHASE</span></a></li>
<li><a href="#NONE-1" class="tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-1024"></use></svg><span>NONE</span></a></li>
<li><a href="#clone" class="tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-2048"></use></svg><span>clone</span></a></li>
<li><a href="#composedPath" class="tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-2048"></use></svg><span>composed<wbr/>Path</span></a></li>
<li><a href="#initEvent" class="tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-2048"></use></svg><span>init<wbr/>Event</span></a></li>
<li><a href="#preventDefault" class="tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-2048"></use></svg><span>prevent<wbr/>Default</span></a></li>
<li><a href="#stopImmediatePropagation" class="tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-2048"></use></svg><span>stop<wbr/>Immediate<wbr/>Propagation</span></a></li>
<li><a href="#stopPropagation" class="tsd-is-inherited tsd-is-external"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-2048"></use></svg><span>stop<wbr/>Propagation</span></a></li></ul></div></details></div>
<div class="site-menu">
<nav class="tsd-navigation"><a href="../modules.html"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><g id="icon-4"><rect fill="var(--color-icon-background)" stroke="var(--color-ts-namespace)" stroke-width="1.5" x="1" y="1" width="22" height="22" rx="6"></rect><path d="M9.33 16V7.24H10.77L13.446 14.74C13.43 14.54 13.41 14.296 13.386 14.008C13.37 13.712 13.354 13.404 13.338 13.084C13.33 12.756 13.326 12.448 13.326 12.16V7.24H14.37V16H12.93L10.266 8.5C10.282 8.692 10.298 8.936 10.314 9.232C10.33 9.52 10.342 9.828 10.35 10.156C10.366 10.476 10.374 10.784 10.374 11.08V16H9.33Z" fill="var(--color-text)"></path></g></svg><span>@matrixai/async-<wbr/>init</span></a>
<ul class="tsd-small-nested-navigation">
<li><a href="../modules.html#destroyed"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><g id="icon-8388608"><rect fill="var(--color-icon-background)" stroke="#FF4D82" stroke-width="1.5" x="1" y="1" width="22" height="22" rx="12"></rect><path d="M10.354 17V8.24H13.066C13.586 8.24 14.042 8.348 14.434 8.564C14.826 8.772 15.13 9.064 15.346 9.44C15.562 9.816 15.67 10.256 15.67 10.76C15.67 11.352 15.514 11.86 15.202 12.284C14.898 12.708 14.482 13 13.954 13.16L15.79 17H14.518L12.838 13.28H11.434V17H10.354ZM11.434 12.308H13.066C13.514 12.308 13.874 12.168 14.146 11.888C14.418 11.6 14.554 11.224 14.554 10.76C14.554 10.288 14.418 9.912 14.146 9.632C13.874 9.352 13.514 9.212 13.066 9.212H11.434V12.308Z" fill="var(--color-text)"></path></g></svg><span>destroyed</span></a></li>
<li><a href="../modules.html#initLock"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-8388608"></use></svg><span>init<wbr/>Lock</span></a></li>
<li><a href="../modules.html#running"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-8388608"></use></svg><span>running</span></a></li>
<li><a href="../modules.html#status"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-8388608"></use></svg><span>status</span></a></li>
<li><a href="../modules.html#statusP"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-8388608"></use></svg><span>statusP</span></a></li>
<li><a href="../modules/createDestroy.html"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-4"></use></svg><span>create<wbr/>Destroy</span></a></li>
<li><a href="../modules/createDestroyStartStop.html"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-4"></use></svg><span>create<wbr/>Destroy<wbr/>Start<wbr/>Stop</span></a></li>
<li><a href="../modules/errors.html"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-4"></use></svg><span>errors</span></a></li>
<li>
<details class="tsd-index-accordion" open data-key="events"><summary class="tsd-accordion-summary"><svg width="20" height="20" viewBox="0 0 24 24" fill="none"><use href="#icon-chevronDown"></use></svg><a href="../modules/events.html"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-4"></use></svg><span>events</span></a></summary>
<div class="tsd-accordion-details">
<ul class="tsd-nested-navigation">
<li><a href="events.EventAsyncInit.html"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><g id="icon-128"><rect fill="var(--color-icon-background)" stroke="var(--color-ts-class)" stroke-width="1.5" x="1" y="1" width="22" height="22" rx="6"></rect><path d="M11.898 16.1201C11.098 16.1201 10.466 15.8961 10.002 15.4481C9.53803 15.0001 9.30603 14.3841 9.30603 13.6001V9.64012C9.30603 8.85612 9.53803 8.24012 10.002 7.79212C10.466 7.34412 11.098 7.12012 11.898 7.12012C12.682 7.12012 13.306 7.34812 13.77 7.80412C14.234 8.25212 14.466 8.86412 14.466 9.64012H13.386C13.386 9.14412 13.254 8.76412 12.99 8.50012C12.734 8.22812 12.37 8.09212 11.898 8.09212C11.426 8.09212 11.054 8.22412 10.782 8.48812C10.518 8.75212 10.386 9.13212 10.386 9.62812V13.6001C10.386 14.0961 10.518 14.4801 10.782 14.7521C11.054 15.0161 11.426 15.1481 11.898 15.1481C12.37 15.1481 12.734 15.0161 12.99 14.7521C13.254 14.4801 13.386 14.0961 13.386 13.6001H14.466C14.466 14.3761 14.234 14.9921 13.77 15.4481C13.306 15.8961 12.682 16.1201 11.898 16.1201Z" fill="var(--color-text)"></path></g></svg><span>Event<wbr/>Async<wbr/>Init</span></a></li>
<li><a href="events.EventAsyncInitDestroy.html"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-128"></use></svg><span>Event<wbr/>Async<wbr/>Init<wbr/>Destroy</span></a></li>
<li><a href="events.EventAsyncInitDestroyed.html"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-128"></use></svg><span>Event<wbr/>Async<wbr/>Init<wbr/>Destroyed</span></a></li>
<li><a href="events.EventAsyncInitStart.html"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-128"></use></svg><span>Event<wbr/>Async<wbr/>Init<wbr/>Start</span></a></li>
<li><a href="events.EventAsyncInitStarted.html"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-128"></use></svg><span>Event<wbr/>Async<wbr/>Init<wbr/>Started</span></a></li>
<li><a href="events.EventAsyncInitStop.html" class="current"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-128"></use></svg><span>Event<wbr/>Async<wbr/>Init<wbr/>Stop</span></a></li>
<li><a href="events.EventAsyncInitStopped.html"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-128"></use></svg><span>Event<wbr/>Async<wbr/>Init<wbr/>Stopped</span></a></li></ul></div></details></li>
<li><a href="../modules/startStop.html"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-4"></use></svg><span>start<wbr/>Stop</span></a></li>
<li><a href="../modules/types.html"><svg class="tsd-kind-icon" viewBox="0 0 24 24"><use href="#icon-4"></use></svg><span>types</span></a></li></ul></nav></div></div></div>
<div class="tsd-generator">
<p>Generated using <a href="https://typedoc.org/" target="_blank">TypeDoc</a></p></div>
<div class="overlay"></div></body></html>